Create Location

Use this API to create a location.

📘

  • The storeExternalId must be unique since it's used to identify the pickup location. Several of our APIs use this id to associate the pickup location for a specific operation.
  • Pickup instructions can be overridden at the order level while placing an order.
  • Multiple providers can be assigned to a location.

Response

PropertyTypeDescription
_idstringDelivery Solutions' internal unique ID for the location.
activebooleanThe pickup location can be marked as active or inactive using the true/false flag. Default is true (pickup location is enabled).
namestringName of the pickup location.
storeExternalIdstringIt's a unique id by which your systems can identify the pickup location. Most of our APIs use this id to associate the pickup location for a specific operation..
contactContactThe contact details for the location. Only the name, phone number and email fields are stored for a location.
addressAddressAddress of the pickup location.
timeZonestringTimezone in which the pickup location is present. This is calculated based on the address that you have provided.
currencyCodestringISO 4217 alphabetical code, e.g. USD.
pickupInstructionsstringPickup instructions for the pickup location.
returnStoreIdstringThe configured return ID for the pickup location, for when an order needs to be returned to a different location.
DSPsArray of ProvidersList of providers configured for the pickup location.
dspAttributesObject containing Provider Config AttributesProvider attributes configured for the pickup location, when necessary for certain providers.
createdAtstringThe time when the pickup location was created in Delivery Solutions, in ISO 8601 format
lastUpdatedAtstringThe time when the pickup location was last updated, in ISO 8601 format.
additionalContactsArray of Store ContactAdditional contact details for a store
tagsArray of stringIdentifiers that can be used for finding and sorting relevant information.
Body Params
string
required

Name of the pickup location

string
required

It's a unique id by which your systems can identify the pickup location. It's not editable after the creation of Pickup Location

string

It's a unique id that you have associated with the brand during its creation. If not provided, the default brand is chosen.

contact
object
required

Contact information for Pickup Location.

address
object
required

Address of the location

boolean

The pickup location can be marked as active or inactive using the true/false flag. Default is true (pickup location is enabled)

string

Currency code in ISO 4217 alphabetical format, e.g. USD. It inherits from Brand or Business if not provided.

string

Pickup instructions for the location. These instructions are given to drivers/customers coming to pick up the order. If not provided it will be inherited from Brand or Business.

DSPs
array of objects

List of the providers that should be assigned for the location

DSPs
string

In the case of shipping carriers, if the order can't be delivered then it's returned to the same Pickup Location. You can associate a different Pickup Location in such a case by entering the desired location's storeExternalId here.

additionalContacts
array of objects

To store additional contact details for a store

additionalContacts
tags
array of strings

Identifiers that can be used for finding and sorting relevant information.

tags
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json